CVE-2017-12611CVE-2017-12611

Affected configuration(s):

cpe:/a:apache:struts:2.0.1
cpe:/a:apache:struts:2.0.2
cpe:/a:apache:struts:2.0.3
cpe:/a:apache:struts:2.0.4
cpe:/a:apache:struts:2.0.5
cpe:/a:apache:struts:2.0.6
cpe:/a:apache:struts:2.0.7
cpe:/a:apache:struts:2.0.8
cpe:/a:apache:struts:2.0.9
cpe:/a:apache:struts:2.0.10
cpe:/a:apache:struts:2.0.11
cpe:/a:apache:struts:2.0.11.1
cpe:/a:apache:struts:2.0.11.2
cpe:/a:apache:struts:2.0.12
cpe:/a:apache:struts:2.0.13
cpe:/a:apache:struts:2.0.14
cpe:/a:apache:struts:2.1.0
cpe:/a:apache:struts:2.1.1
cpe:/a:apache:struts:2.1.2
cpe:/a:apache:struts:2.1.3
cpe:/a:apache:struts:2.1.4
cpe:/a:apache:struts:2.1.5
cpe:/a:apache:struts:2.1.6
cpe:/a:apache:struts:2.1.8
cpe:/a:apache:struts:2.1.8.1
cpe:/a:apache:struts:2.2.1
cpe:/a:apache:struts:2.2.1.1
cpe:/a:apache:struts:2.2.3
cpe:/a:apache:struts:2.2.3.1
cpe:/a:apache:struts:2.3.1
cpe:/a:apache:struts:2.3.1.1
cpe:/a:apache:struts:2.3.1.2
cpe:/a:apache:struts:2.3.3
cpe:/a:apache:struts:2.3.4
cpe:/a:apache:struts:2.3.4.1
cpe:/a:apache:struts:2.3.5
cpe:/a:apache:struts:2.3.6
cpe:/a:apache:struts:2.3.7
cpe:/a:apache:struts:2.3.8
cpe:/a:apache:struts:2.3.9
cpe:/a:apache:struts:2.3.10
cpe:/a:apache:struts:2.3.11
cpe:/a:apache:struts:2.3.12
cpe:/a:apache:struts:2.3.13
cpe:/a:apache:struts:2.3.14
cpe:/a:apache:struts:2.3.14.1
cpe:/a:apache:struts:2.3.14.2
cpe:/a:apache:struts:2.3.14.3
cpe:/a:apache:struts:2.3.15
cpe:/a:apache:struts:2.3.15.1
cpe:/a:apache:struts:2.3.15.2
cpe:/a:apache:struts:2.3.15.3
cpe:/a:apache:struts:2.3.16
cpe:/a:apache:struts:2.3.16.1
cpe:/a:apache:struts:2.3.16.2
cpe:/a:apache:struts:2.3.16.3
cpe:/a:apache:struts:2.3.17
cpe:/a:apache:struts:2.3.19
cpe:/a:apache:struts:2.3.20
cpe:/a:apache:struts:2.3.20.1
cpe:/a:apache:struts:2.3.20.2
cpe:/a:apache:struts:2.3.21
cpe:/a:apache:struts:2.3.22
cpe:/a:apache:struts:2.3.23
cpe:/a:apache:struts:2.3.24.2
cpe:/a:apache:struts:2.3.24.3
cpe:/a:apache:struts:2.3.25
cpe:/a:apache:struts:2.3.26
cpe:/a:apache:struts:2.3.27
cpe:/a:apache:struts:2.3.28
cpe:/a:apache:struts:2.3.28.1
cpe:/a:apache:struts:2.3.29
cpe:/a:apache:struts:2.3.30
cpe:/a:apache:struts:2.3.31
cpe:/a:apache:struts:2.3.32
cpe:/a:apache:struts:2.3.33
cpe:/a:apache:struts:2.5
cpe:/a:apache:struts:2.5:beta1
cpe:/a:apache:struts:2.5:beta2
cpe:/a:apache:struts:2.5:beta3
cpe:/a:apache:struts:2.5.1
cpe:/a:apache:struts:2.5.2
cpe:/a:apache:struts:2.5.3
cpe:/a:apache:struts:2.5.4
cpe:/a:apache:struts:2.5.5
cpe:/a:apache:struts:2.5.6
cpe:/a:apache:struts:2.5.7
cpe:/a:apache:struts:2.5.8
cpe:/a:apache:struts:2.5.9
cpe:/a:apache:struts:2.5.10

Date published: 2017-09-20T13:29:00.400-04:00

Date last modified: 2017-09-29T13:36:43.880-04:00

CVSS Score: 7.5

Principal attack vector: NETWORK

Complexity:  LOW

Reference URL: http://www.arubanetworks.com/assets/alert/ARUBA-PSA-2017-003.txt

Summary: In Apache Struts 2.0.1 through 2.3.33 and 2.5 through 2.5.10, using an unintentional expression in a Freemarker tag instead of string literals can lead to a RCE attack.

CategoriesUncategorised

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.